#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xCC,0x64,0x63,0x0E,0xCF,0xAD,0xB7,0x65,0x68,0x72,0x19,0xB9,
		0x9F,0xC8,0x4B,0xDC,0x69,0x0F,0xE8,0x21,0xF5,0xCD,0x43,0xCC,
		0x16,0x41,0x53,0xF6,0x4A,0x13,0x1A,0x44,0x3E,0x8F,0x0B,0xC7,
		0x5B,0x61,0x02,0x0E,0x4C,0x02,0x55,0x09,0xA1,0xEF,0x2F,0xF7,
		0x48,0x07,0x8E,0xBC,0x6C,0x1D,0x47,0x31,0xDB,0x52,0x80,0x2D,
		0xE7,0x53,0x20,0x23,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
